#!/bin/bash
params=/opt/cfengine/dc-scripts/params.sh

source "$(dirname ${0})/common.sh"
die() { error_exit $(basename ${0}) "${1}"; }

source "${params}" || die "Unable to source PARAMS file '${params}'"

# pre fetch function for VCS type GIT
git_prefetch() {
  echo "Calling git pre-fetch"
  type "git" > /dev/null || die "git not found on path: $PATH"

  cd "${ROOT}" && (
      git fetch -q origin ;
      git stash -q ;
      git checkout -q "${GIT_WORKING_BRANCH}" ;
      git reset -q --hard "origin/${GIT_BRANCH}" ;
      git checkout -q master ; # change active branch to master
  )
}


case "${VCS_TYPE}" in
    GIT) git_prefetch ;;
    *) die "Unsupported VCS_TYPE: '${VCS_TYPE}'" ;;
esac
