<?php
class DcSettings
{

  public static $dcConfig;

  function __construct()
  {
    //$jsonConfigObj = new Zend\Config\Reader\Json();
    $filePath = DCCONFIGPATH;
    syslog(LOG_DEBUG, 'Reading DC configuration file from path :' . $filePath);
    self::$dcConfig = $this->read_from_file($filePath);
  }

  function read_from_file($filePath)
  {

    $fileContent = file_get_contents($filePath);
    $jsonArray = json_decode($fileContent, true);

    return $jsonArray;
  }

  function get_git_binary()
  {

    return self::$dcConfig['gitBin'];
  }

  function get_dc_apache_home()
  {

    return self::$dcConfig['apacheHome'];
  }

  function get_git_clone_path()
  {

    return self::$dcConfig['clonePath'];
  }

  function get_dc_user_workspace($username)
  {

    return self::$dcConfig['clonePath'] . DIRECTORY_SEPARATOR . $username;
  }

  function get_dc_user_working_directory($username)
  {

    return self::$dcConfig['clonePath'] . DIRECTORY_SEPARATOR . $username . DIRECTORY_SEPARATOR . 'masterfiles';
  }
  /**
   * Hardcode the key path to admin
   */
  function get_dc_user_ssh_key_directory($username = 'admin')
  {

    return self::$dcConfig['keyPath'] . DIRECTORY_SEPARATOR . 'admin' . DIRECTORY_SEPARATOR . '.ssh';
  }

  function get_dc_user_ssh_key_name()
  {

    return self::$dcConfig['privateKeyName'];
  }

  function get_dc_user_ssh_key()
  {

    return $this->get_dc_user_ssh_key_directory() . DIRECTORY_SEPARATOR . $this->get_dc_user_ssh_key_name();
  }

  function get_dc_user_repolist_location($username)
  {

    return  'sketches';
  }

  function get_dc_sketch_recognized_sources()
  {

    return self::$dcConfig['dcSource'];
  }

  function get_dc_sketch_const_data()
  {

    return self::$dcConfig['constdata'];
  }

  function get_dc_sketch_runfile_location($username)
  {

    return $this->get_dc_user_working_directory($username) . DIRECTORY_SEPARATOR . 'sketches/meta/api-runfile.cf';
  }

  function get_dc_sketch_vardatafile_location($username)
  {

    return $this->get_dc_user_working_directory($username) . DIRECTORY_SEPARATOR . 'sketches/meta/vardata.conf';
  }

  function get_dc_user_sketch_config_file_path($username)
  {
    $apiConfigFile = self::$dcConfig['apiConfigFile'];

    return $this->get_dc_user_workspace($username) . DIRECTORY_SEPARATOR . $apiConfigFile;
  }

  function get_dc_sketch_api_executable()
  {

    return self::$dcConfig['sketchApiExecutable'];
  }

  function get_dc_staging_repository()
  {

    return self::$dcConfig['gitStagingRepository'];
  }

  function get_dc_update_script_template_path()
  {

    return FCPATH . self::$dcConfig['gitUpdateScriptTemplatePath'];
  }

  function get_dc_update_script_path()
  {

    return self::$dcConfig['gitUpdateScriptPath'];
  }

  function get_dc_git_working_branch()
  {

    return self::$dcConfig['gitLocalWorkingBranch'];
  }

  function get_dc_stage_repo_backup_path()
  {

    return self::$dcConfig['stageRepositoryBackupPath'];
  }

  function get_dc_sketch_filter()
  {

    return self::$dcConfig['sketchFilter'];
  }
}
?>