<?php

require_once "APIBaseTest.php";

class QueryTest extends APIBaseTest
{

    public function testHostTableQuery()
    {
        try
        {
            $response = $this->pest->post('/query', '{
                "query": "SELECT * FROM Hosts ORDER BY hostkey",
                "hostContextInclude": ["enterprise_3"]
                }');

            $this->assertEquals(200, $this->pest->lastStatus());
            $this->assertValidJson($response);


            $this->assertEquals(5, sizeof($response['data'][0]['header']));

            // check result table schema
            $this->assertEquals('hostkey', $response['data'][0]['header'][0]['columnName']);
            $this->assertEquals('lastreporttimestamp', $response['data'][0]['header'][3]['columnName']);
            $this->assertEquals('firstreporttimestamp', $response['data'][0]['header'][4]['columnName']);

            // check result row count
            $this->assertEquals('1', $response['data'][0]['rowCount']);

            // check result rows content
            //row 1
            $this->assertEquals('305658693b94e003e765956f1609731419cbc0e5c9caa09e230df5e005f1f283', $response['data'][0]['rows'][0][0]);
        }
        catch (Pest_Exception $e)
        {
            $this->fail($e);
        }
    }

    public function testQueryWithInvalidJson()
    {
        try
        {
            // invalid json
            $response = $this->pest->post('/query', '{
                "query": "SELECT * FROM Hosts ORDER BY hostkey
                }');
            $this->fail('Should trigger an exception');
        }
        catch (Pest_Exception $e)
        {
            $this->assertEquals(400,$this->pest->lastStatus());
        }
    }
}
