<?php
require_once "APIBaseTest.php";

class SketchBaseTest extends APIBaseTest
{

  public $username = 'admin';

  function setUp()
  {

    $this->_setupConfigFile();

    $this->dcSettings = new DcSettings();

    $tempWorkingDir = $this->dcSettings->get_dc_user_working_directory($this->username);
    $apiFile = $this->dcSettings->get_dc_user_sketch_config_file_path($this->username);
    $dcApiScriptFile = $this->dcSettings->get_dc_sketch_api_executable();

    $path = $tempWorkingDir . '/sketches/meta/';

    if (!is_dir($path))
    {
      mkdir($path, 0777, true);
    }

    if (!is_dir($tempWorkingDir))
    {
      mkdir($tempWorkingDir, 0777, true);
    }

    $option['cf_sketch_api_config_file'] = $apiFile;
    $option['cf_sketch_api_executable'] = $dcApiScriptFile;
    $option['cf_sketch_api_script_path'] = $tempWorkingDir;

    $this->_setupRunFile($path);
    $this->_setupVarDataFile($path);
    $this->_setupApiConfigFile($apiFile, $path);

    $this->cf_sketch_api = new SketchApi($option);

    parent::setUp();
  }



  private function _setupConfigFile()
  {
    $configFile = FCPATH . 'fixtures/design-center/dcconfig-test.json';
    $configTemplate = file_get_contents($configFile);

    $replace = array(
      '__API_CLONE_PATH__' => '/tmp/dctest/userworkdir',
      '__API_SCRIPT_PATH__' => DCAPIPATH . '/tools/cf-sketch/cf-dc-api.pl'
    );

    $generatedScript = str_replace(array_keys($replace) , array_values($replace) , $configTemplate);

    file_put_contents(FCPATH . '../config/dcconfig-test.json', $generatedScript);
  }

  private function _setupApiConfigFile($apiFile, $path)
  {
    $apiConfigFileContentPath = FCPATH . 'fixtures/design-center/api-config.json';
    $apiConfigContent = file_get_contents($apiConfigFileContentPath);
    $apiConfig = sprintf($apiConfigContent, FCPATH . 'fixtures/design-center/sketches', FCPATH . 'fixtures/design-center/constdata.conf', $path . 'api-runfile.cf', $path . 'vardata.conf');
    file_put_contents($apiFile, $apiConfig);
  }

  private function _setupVarDataFile($path)
  {
    $vardataContent = file_get_contents(FCPATH . 'fixtures/design-center/vardata.conf');
    file_put_contents($path . 'vardata.conf', $vardataContent);
  }

  private function _setupRunFile($path)
  {
    $runfileContent = file_get_contents(FCPATH . 'fixtures/design-center/api-runfile.cf');
    file_put_contents($path . 'api-runfile.cf', $runfileContent);
  }
}
