<?php

class Assets extends CF_Controller
{

    function __construct()
    {
        parent::__construct();
        $this->load->model('host_model');
        $this->load->model('report_model');
        $this->load->model('note_model');
        $this->load->model('assets_model');
        $this->load->model('advancedreports_model');

        $this->load->library(array('cfe_table'));

        $this->username = $this->session->userdata('username');
        setCurrentApplication('engineering');

    }

    function node_assets()
    {
        $this->load->view('assets/assets-main-node', array());
    }

    function host_assets($hostkey='')
    {
        $this->load->helper('elements_creator');
        $requiredjs = array(
            array('libs/flot/jquery.flot.min.js'),
            array('libs/flot/jquery.flot.stack.min.js'),
            array('libs/flot/jquery.flot.resize.min.js'),
            array('libs/flot/jquery.flot.fillbetween.min.js'),
            array('widgets/notes.js'),
            array('jquery.appear-1.1.1.min.js'),
            array('widgets/vitalsigns.js'),
            array('chosen.jquery.min.js'),
            array('host-page.js')
        );
        $this->carabiner->css(
           ['chosen.min.css']
        );
        $jsIE = array('libs/flot/excanvas.min.js');
        $this->carabiner->group('iefix', array('js' => $jsIE));
        $this->carabiner->js($requiredjs);

        $username = $this->username;
        $assetsData = array();
        $data = array();
        if (!empty($hostkey))
        {
            $hostInfo = $this->host_model->getHostInfo($username,$hostkey, true);
            $policiesExecutionInfo = $this->host_model->getPolicyExecutionData($username, $hostkey);
            $hostname = !empty($hostInfo['hostname']) ? $hostInfo['hostname'] : null;
            $ipaddr =  !empty($hostInfo['ip']) ? $hostInfo['ip'] : null;
            $lastUpdate = !empty($hostInfo['lastreport']) ? $hostInfo['lastreport'] : null;
            $firstReport = !empty($hostInfo['firstreport']) ? $hostInfo['firstreport'] : null;

            $this->load->model('eventslog_model');
            $bootstrappedEvent = $this->eventslog_model->get_all_events("message LIKE '%$hostkey was bootstrapped%'");

            $data = array(
                'title' => $this->lang->line('mission_portal_title'),
                'showHeader' => !is_ajax() ? true : false ,
                'isAdmin' => $this->ion_auth->is_admin(),
                'hostkey' => $hostkey,
                'title' => $this->lang->line('mission_portal_title') . " - host " . $ipaddr,
                'hostname' => $hostname,
                'ipaddr' => $ipaddr,
                'last' => $lastUpdate,
                'firstReport' => $firstReport,
                'load' =>  $this->host_model->getHostVariable($username, $hostkey, "cfe_autorun_inventory_loadaverage", "value"),
                'free' =>  $this->host_model->getHostVariableDataByName($hostkey, "Disk free (%)") ,
                'bootstrappedAt' =>  isset($bootstrappedEvent[0]->time) ? $bootstrappedEvent[0]->time : null,
                'collectionMethodology' => $hostInfo['iscallcollected'] == true ? 'client initiated' : 'hub initiated',
                'lastAgentExecutionTime' =>  $hostInfo['lastAgentExecutionTime'],
                'agentExecutionInterval' =>  $hostInfo['agentexecutioninterval'],
                'policiesExecutionInfo' => $policiesExecutionInfo,
            );


            $software_installed = $this->report_model->getSoftwareInstalled($this->username,$hostkey, null, null, null, array(), array(), $rows = 1, $page_number = 1, $hosts_only = false);
            $pathches_available = $this->report_model->getPatches($this->username,$hostkey, null, null, null, 'AVAILABLE', array(), array(), $rows = 1, $page_number = 1, $hosts_only = false);
            $pathches_installed = $this->report_model->getPatches($this->username,$hostkey, null, null, null, 'INSTALLED', array(), array(), $rows = 1, $page_number = 1, $hosts_only = false);


            $data['software_installed'] = $software_installed['rowCount'];
            $data['patches_installed'] = $pathches_installed['rowCount'];
            $data['patches_available'] = $pathches_available['rowCount'];


            $data['software_installed_query'] = $software_installed['query'];
            $data['patches_installed_query'] = $pathches_installed['query'];
            $data['patches_available_query'] = $pathches_available['query'];

            $data['software_installed_state'] = base64_encode(json_encode($this->assets_model->getSoftwareInstalledParams($hostkey)));
            $data['patches_available_state'] = base64_encode(json_encode($this->assets_model->getAvailableSoftwareParams($hostkey)));

            $assetsData = array_merge($assetsData, $data, $hostInfo);

            if (is_ajax())
            {
                $this->load->view('assets/assets-main-host', $assetsData);
            }
            else
            {
                $this->template->load('templates/singleColumnTemplate', 'assets/assets-main-host', $assetsData);
            }
        }
        else
        {
            if (is_ajax())
            {
                $this->load->view('assets/error', array());
            }
            else
            {
                $this->template->load('template', 'assets/error', array());
            }
        }
    }


    function host_assets_by_name($hostName = '')
    {
        $username = $this->username;

        if (!empty($hostName))
        {
            // get hostkey and redirect to host_assets
            $SQLString = sprintf("SELECT hostkey FROM hosts WHERE hostName='%s'", urldecode($hostName));

            $data = $this->advancedreports_model->runQuery($username, $SQLString);


            if (count($data['rows']) === 1)
            {
                redirect('assets/host_assets/'.$data['rows'][0][0]); //$data['rows'][0][0] contain hostkey
            }



            // show user page where he can see what happened.
            // scenarious can be:
            // 1. not able to find host with the given name
            // 2. more than 1 host with the same name.

            $assetsData = array();
            $assetsData['hostName'] = urldecode($hostName);


            if (empty($data['rows']))
            {
               $this->template->load('templates/singleColumnTemplate', 'assets/assets-host-not-found', $assetsData);
            }
            elseif (count($data['rows'])>1)
            {
               $SQLString = sprintf('SELECT Hosts.HostKey AS "Host key", Hosts.HostName AS "Host name", Hosts.IPAddress AS "IP address"  FROM Hosts WHERE hostname = \'%s\'', urldecode($hostName));

               $data = $this->advancedreports_model->runQuery($username, $SQLString);
               $assetsData['hostData'] = $data['rows'];

               $this->template->load('templates/singleColumnTemplate', 'assets/assets-many-host-with-same-name', $assetsData);
            }
        }
        else
        {
            $this->template->load('templates/singleColumnTemplate', 'assets/assets-host-name-empty', $assetsData);
        }
    }

}
