<?php
require_once(APPPATH . 'modules/advancedreports/services/InventoryAPIService.php');
require_once(APPPATH . 'modules/advancedreports/helpers/InputDataHelper.php');

/**
 * Class Inventory
 */
class Inventory extends Cf_Controller
{
    /** @var null */
    private $username = null;

    function __construct()
    {
        parent::__construct();
        if (CLI === false) {
            $this->username = $this->session->userdata('username');
        }
    }

    /**
     * Get variables
     */
    function variables()
    {
        $inventoryAPIService = new InventoryAPIService(
            $this->getRestClient()
        );
        respond_ok($inventoryAPIService->getVariables());
    }

    /**
     * Update variable dictionary
     * @param $id
     */
    function update_variable($id)
    {
        $inventoryAPIService = new InventoryAPIService(
            $this->getRestClient()
        );
        $inputData = InputDataHelper::getFromJsonInput();
        respond_ok($inventoryAPIService->updateVariable($id, $inputData));
    }

    /**
     * Get inventory data
     */
    function data()
    {
        $inventoryAPIService = new InventoryAPIService(
            $this->getRestClient()
        );
        $inputData = InputDataHelper::getFromJsonInput();
        respond_ok($inventoryAPIService->getData($inputData));
    }
}
