<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

function get_git_binary()
{
    $dcConfig = config_item('DC');
    return $dcConfig['gitBin'];
}

function get_dc_apache_home()
{
    $dcConfig = config_item('DC');
    return $dcConfig['apacheHome'];
}

function get_dc_config()
{
    return config_item('DC');
}

function get_git_clone_path()
{
    $dcConfig = config_item('DC');
    return $dcConfig['clonePath'];
}

function get_dc_user_workspace($username)
{
    $dcConfig = config_item('DC');
    return $dcConfig['clonePath'] . DIRECTORY_SEPARATOR . $username;
}

function get_dc_user_working_directory($username)
{
    $dcConfig = config_item('DC');
    return $dcConfig['clonePath'] . DIRECTORY_SEPARATOR . $username . DIRECTORY_SEPARATOR . 'masterfiles';
}

/**
* Hardcode the key path to admin
*/
function get_dc_user_ssh_key_directory($username='admin')
{
    $dcConfig = config_item('DC');
    return $dcConfig['keyPath'] . DIRECTORY_SEPARATOR . 'admin' . DIRECTORY_SEPARATOR . '.ssh';
}

function get_dc_user_ssh_key_name()
{
    $dcConfig = config_item('DC');
    return $dcConfig['privateKeyName'];
}

function get_dc_user_ssh_key()
{
    return get_dc_user_ssh_key_directory().DIRECTORY_SEPARATOR.get_dc_user_ssh_key_name();
}

function get_dc_user_repolist_location($usename)
{
    return  'sketches';
}

function get_dc_sketch_recognized_sources()
{

    $dcConfig = config_item('DC');
    return $dcConfig['dcSource'];
}

function get_dc_sketch_const_data()
{

    $dcConfig = config_item('DC');
    return $dcConfig['constdata'];
}


function get_dc_sketch_runfile_location($username)
{
    return get_dc_user_working_directory($username) . DIRECTORY_SEPARATOR . 'sketches/meta/api-runfile.cf';
}

function get_dc_sketch_vardatafile_location($username)
{
    return get_dc_user_working_directory($username) . DIRECTORY_SEPARATOR . 'sketches/meta/vardata.conf';
}

function get_dc_user_sketch_config_file_path($username)
{
    $dcConfig = config_item('DC');
    $apiConfigFile = $dcConfig['apiConfigFile'];
    return get_dc_user_workspace($username) .DIRECTORY_SEPARATOR. $apiConfigFile;
}

function get_dc_sketch_api_executable()
{
    $dcConfig = config_item('DC');
    return $dcConfig['sketchApiExecutable'];
}

function get_dc_staging_repository()
{
    $dcConfig = config_item('DC');
    return $dcConfig['gitStagingRepository'];
}

function get_dc_update_script_template_path()
{
    $dcConfig = config_item('DC');
    return $dcConfig['gitUpdateScriptTemplatePath'];
}

function get_dc_update_script_path()
{
    $dcConfig = config_item('DC');
    return $dcConfig['gitUpdateScriptPath'];
}

function get_dc_git_working_branch()
{
    $dcConfig = config_item('DC');
    return $dcConfig['gitLocalWorkingBranch'];
}

function get_dc_stage_repo_backup_path()
{
    $dcConfig = config_item('DC');
    return $dcConfig['stageRepositoryBackupPath'];
}

function delete_git_update_scripts()
{
    $scriptsPath = get_dc_update_script_path();
    $deleteScripts = array('params.sh');
    foreach($deleteScripts as $s)
    {
        @unlink($scriptsPath.DIRECTORY_SEPARATOR.$s);
    }
}


function get_dc_sketch_filter()
{
    $dcConfig = config_item('DC');
    return $dcConfig['sketchFilter'];
}

?>