let waitForSpinner = function () {
    var def = $.Deferred();
    var interval = setInterval(function () {
        if ($('#globalSpinner').css('display') == 'none') {
            clearInterval(interval);
            def.resolve();
        }
    }, 1000);
    return def;
}

let steps = [
    {
        element: ".right-column",
        title: "Improved Host info page",
        content: "Host info page is extended with new information:" +
            "<ul>" +
            "<li>Inventory attributes and values</li>" +
            "<li>Classes and Variables</li>" +
            "<li>Report collection methodology</li>" +
            "<li>Datetime of last known agent execution</li>" +
            "<li>Datetime when the host was first bootstrapped</li>" +
            "<li>Average agent execution time for each policy entry</li>" +
            "<li>Average agent execution interval</li>" +
            "</ul>",
        placement: "left",
        path: "/index.php/engineering#hosts-info",
        onShow: function () {
            var def = $.Deferred();

            var interval = setInterval(function () {
                if ($('#globalSpinner').css('display') == 'none' && $('.host_id_SE').is(":visible") == true) {
                    clearInterval(interval);
                    def.resolve();
                } else {
                    if ($('.hostLabel').first().length > 0) {
                        $('.hostLabel').first().click();
                    } else {
                        $('#astrolabe .icon-caret-right').first().click();
                    }
                }
            }, 1000);
            return def.promise();
        }
    },
    {
        element: ".selectedElement",
        title: "Mission Portal UI customization",
        content: "New settings allow to show a company logo, change header's color scheme and set additional " +
            "information on the login page.",
        path: "/index.php/customization",
        placement: "top"
    }
];

var tourGuide = new Tour({
    backdrop: true,
    backdropPadding: 5,
    onEnd: function () {
        window.location.href = '/index.php/dashboard';
    },
    template: '<div class="popover" role="tooltip"> ' +
        '<div class="arrow"></div> ' +
        '<h3 class="popover-title"></h3> ' +
        '<div class="popover-content"></div> ' +
        '<div class="popover-navigation"> <div class="btn-group  pull-left"> ' +
        '<button class="btn btn-sm btn-default" data-role="prev"><i class="icon-arrow-left"></i> Prev</button> ' +
        '<button class="btn btn-sm btn-default" data-role="next">Next <i class="icon-arrow-right"></i></button></div>' +
        '<div class="btn-group  pull-right"> ' +
        '<button class="btn btn-sm pause-button" data-role="pause-tour"><i class="icon-pause"></i> Pause</button> ' +
        '<button class="btn btn-sm  end-button" data-role="end"><i class="icon-stop"></i> End tour</button> </div>  </div> ',
    steps: steps
});

if (window.localStorage.getItem('tourStarted') === 'true' && window.localStorage.getItem('tourPaused') !== 'true') {
    tourGuide.init().start();
}

var resumeButtonHtml = '<button class="btn btn-large resume-tour-guide"><i class="icon-play "></i> Resume tour guide</button>';

$('[data-role="pause-tour"]').live('click', function () {
    $('.tour-tour').css('visibility', 'hidden');
    $('.tour-backdrop').css('visibility', 'hidden');
    window.localStorage.setItem('tourPaused', 'true');

    $('body').append(resumeButtonHtml)
});

if (window.localStorage.getItem('tourPaused') === 'true') {
    $('body').append(resumeButtonHtml)
}

$('.resume-tour-guide').live('click', function () {
    window.localStorage.setItem('tourPaused', 'false');
    window.localStorage.removeItem('tour_redirect_to');
    tourGuide.init().start(true);
    $('.tour-tour').css('visibility', 'visible');
    $('.tour-backdrop').css('visibility', 'visible');
    $('.resume-tour-guide').remove();
});
