/**
 * Sketch validation  Directive
 *
 * Use of Class.js
 *
 */
var dcValidation = BaseController.extend({

    oldData: null,

    init: function($scope, $elm, $attrs, ngModel, sketchService) {
        var self = this;
        this._element = $elm;
        this._attrs = $attrs;
        this._super($scope);
        this.sketchService = sketchService;
        $scope.dcServerValidationMessage = {};

        // if there was a previous attempt, stop it.


        $elm.on('blur', function(evt) {

            $scope.$apply(function() {
                var validationType = $attrs.dcvalidationtype;
                var validationKey = $attrs.dcvalidationkey;
                var validationData = $scope.formsInput[validationKey];
                var recheck = true;
                // revalidate only when value is changed for string type
                if (angular.isString(validationData)) {
                    recheck = !(validationData == self.oldData);
                }

                if (validationType && validationData && recheck) {
                    self.oldData = validationData;
                    sketchService.validate(validationType, validationData).success(

                    function(data) {
                        ngModel.$setValidity('dcValidation', data.status);
                        $scope.dcServerValidationMessage[$attrs.dcvalidationkey] = data.error;

                    });
                }
            });


        });


    }
});


/**
 * Sketch description validation  Directive
 *
 * Use of Class.js
 *
 */
var descriptionValidation = BaseController.extend({


    init: function($scope, $elm, $attrs, ctrl, sketchService) {
        var self = this;
        this._element = $elm;
        this._attrs = $attrs;
        this._super($scope);
        this.sketchService = sketchService;
        $scope.dcServerValidationMessage = {};
        var oldId = $scope.editid;
        var valid = true;

        $elm.on('blur', function(evt) {
            var validationData = $elm.val();
            var valid = true;
            $scope.$apply(function() {
                if (validationData) {
                    if (validationData != oldId) {
                        // if the value is different check in the array
                        for (var prop in $scope.alist) {
                            if ($scope.alist[prop].identifier == validationData) {
                                valid = false;
                                break;
                            }
                        }
                        ctrl.$setValidity('validateDescription', valid);
                    }
                }
            });

        });


    }
});


var dcArrayRequiredValidation = BaseController.extend({


    init: function($scope, $elm, $attrs, ctrl) {
        var self = this;

        this._super($scope);
        $scope.$watch($attrs.dcvalidationArraydata, function(newValue) {
            if (angular.equals({}, newValue) || newValue === null) {
                ctrl.$setValidity('validateRequiredValidation', false);
            } else {
                 ctrl.$setValidity('validateRequiredValidation', true);
            }

         },true);
    }
});