var naviTreeService = Class.extend({
    LOAD_NAVITREE_PROFILE_URL: MP_SITE_URL + '/astrolabe/profile/',
    LOAD_NAVITREE_HOSTS: MP_SITE_URL + '/designcenter/dcapi/hostlist',

    /**
     * Query server and returns us sketch
     * information.
     * @return Service handler
     */
    getTreeProfiles: function() {
        return this.$http.get(this.LOAD_NAVITREE_PROFILE_URL, {
            cache: false
        });
    },
    getTreeNodes: function(tree) {
        var url = this.LOAD_NAVITREE_PROFILE_URL + encodeURIComponent(tree.id) + '/' + tree.shared + '/' + tree.sharedFrom;
        return this.$http.get(url, {
            cache: false
        });

    },
    getNodeHosts: function(env, dependsOs) {

        var url = this.LOAD_NAVITREE_HOSTS;
        var data = {
            'dependentOs': dependsOs,
            'includes': env.includes
        };

        return this.$http.post(url, data, {
            cache: false
        });


    }

});



(function() {

    var naviTreeServiceProvider = Class.extend({
        instance: new naviTreeService(),
        $get: ['$http', function($http) {
            this.instance.$http = $http;
            return this.instance;
        }]
    });

    angular.module('dc.naviTreeService', [])
        .provider('naviTreeService', naviTreeServiceProvider);
}());